


#declare Glass = texture {
   pigment {rgbft < 0.98, 1.0, 0.98,.02,.95> }
   finish {
      specular 1
      roughness 0.001
      ambient 0
      diffuse 0
      reflection {
         0,1
         fresnel
      }
   }
}

// ground fog at the horizon -----------------------------------------
#declare Fog = fog { fog_type   2
     distance   400
     color      rgb<1,1,1>*0.7
     fog_offset 0.1
     fog_alt    2
     turbulence 1.8
}


#declare bright = .41; //.4
#declare Green1=rgb<0.4,1,0.3>*bright;
#declare Green2=rgb<60,160,8>/255;
// --------------------------------------
// Grass texture
// --------------------------------------

#declare pigSpotted2 = pigment {
spotted
    color_map {
        [0.0, 0.2   color Tan*0.1 color Tan*0.4]
        [0.2, 0.3   color Tan*0.4 color Green1]
        [0.3, 1.01   color Green1 color Green1*1.2]
    }
}
                                 
#declare pigEarth2 = pigment {
 spotted
 color_map {
  [0 color rgb<0.4,1,0.3>*0.4]
  [0.6 color Tan*0.3]
  [0.6 color Green1*0.4]
  [1   color Green1*0.4]
 }
}
#declare pigGreen=pigment{Green2*1.3}

#declare T_Grass=texture {                  
 pigment {
  gradient y
  turbulence 0.2
  pigment_map {                                
   [0.0 pigEarth2]
   [0.3 pigGreen]
   [0.9 pigSpotted2]
   [1.00 pigEarth2]
  }
 }
 finish{ambient 0.1 diffuse 0.7 specular 0.2 roughness 0.015}
 scale <0.001,1,0.001>
}



#declare t_1 =
texture {
    pigment {
        bozo
        turbulence 0.25 
        color_map {
         [0 color <0.25 , 0.25 , 1.0>]
         }
        scale 1
    }
}
 
#declare t_2 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
        [0 color <0.95,0.75,0.55> ]
        }
        scale 1
    }
}
#declare t_3 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
         [0 color <0.2 , 0.4 , 0.25> ] // <.2 , 0.5 , 0.0> ]
        }
        scale 1
    } 
    //normal { n_Sea scale .05 }
}
#declare t_4 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
         [0 color <.4 , 0.3 , 0.0>]
        }
        scale 1
    }
}
#declare t_5 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
         [0 color <.3,.18 , 0.32> ]
        }
        scale 1
    }
}
#declare t_6 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
         [0 color <.2,.18 , 0.22>]
        }
        scale 1
    }
}
#declare t_7 =
texture {
    pigment {
        bozo
        turbulence 0.25
        color_map {
         [0 color <1,1,1>]
        }
        scale 1
    }
}



#declare t_rad =
  texture {
    pigment {
      bumps
      color_map {
        [0.000 rgbf<1.0, 0.8, 0.8, 0.8>]
        [0.166 rgbf<1.0, 1.0, 0.8, 0.8>]
        [0.333 rgbf<0.8, 1.0, 0.8, 0.8>]
        [0.500 rgbf<0.8, 1.0, 1.0, 0.8>]
        [0.666 rgbf<0.8, 0.8, 1.0, 0.8>]
        [0.833 rgbf<1.0, 0.8, 1.0, 0.8>]
        [1.000 rgbf<1.0, 0.8, 0.8, 0.8>]
      }
      frequency 4
      scale 5
    }
    finish {
      ambient 0  //default = .1
      diffuse 1
      reflection 0.1
      phong .4
      phong_size 800
    }
  }